Retrieves the reporting layout settings for the authenticated user, including the list of all available analytics columns grouped by report type and the user's currently selected columns.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/analytics/reports-layout-settings/{login}/{hash}/{timestamp}.do
Retrieves the reporting layout settings for the authenticated user, including the list of all available analytics columns grouped by report type and the user's currently selected columns. Optionally filtered by statistic type.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/analytics/reports-layout-settings/john.doe/a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4/1735689600000.do?statsType=IMPRESSIONS_LOG");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());